/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file errno.h
 */

#ifndef __ERRNO_H__
#define __ERRNO_H__

#define EPERM           1      /*!< Operation not permitted */
#define EAGAIN          2      /*!< Try again */
#define EFAULT          3      /*!< Bad address */
#define EBUSY           4      /*!< Device or resource busy */
#define ENODEV          5      /*!< No such device */
#define ETIMEOUT        6      /*!< Time out */
#endif