/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file hdf.h
 */

 #ifndef __HDF_H__
#define __HDF_H__

#include <stdint.h>
#include <stddef.h>

#include "irq_enum.h"
#include "clough_core.h"
#include "core_cm0.h"
#include "hwcfg.h"

#include "adc_sfrs.h"
#include "clock_sfrs.h"
#include "flash_sfrs.h"
#include "gpio_sfrs.h"
#include "led_sfrs.h"
#include "pir_sfrs.h"
#include "pmu_sfrs.h"
#include "spi_sfrs.h"
#include "systick_sfrs.h"
#include "timer_sfrs.h"
#include "uart_sfrs.h"
#include "wdt_sfrs.h"
#include "tx_sfrs.h"
#include "rx_sfrs.h"
#include "pir_sfrs.h"
#include "rtc_sfrs.h"

#endif /* __HDF_H__ */