/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file main.c
 */

#include "stdint.h"
#include "main.h"

/************** MAIN ****************************************************/
void main (void)
{
#ifdef EXAMPLE_LED
    main_led();
#elif EXAMPLE_ADC
    main_adc();
#elif EXAMPLE_UART
    main_uart();
#elif EXAMPLE_SPI
    main_spi();
#elif EXAMPLE_PM
    main_pm();
#elif EXAMPLE_FLASH
    main_flash();
#elif EXAMPLE_WDT
    main_wdt();
#elif EXAMPLE_TX
    main_tx();
#elif EXAMPLE_RX
    main_rx();
#elif EXAMPLE_RTC
    main_rtc();
#elif EXAMPLE_PIR
    main_pir();
#endif
    while(1) {
    };
} /* main() */

/***************************** End of File ************************************/